Page MenuHomePhabricator

Bad backspacing behavior for vowel symbol characters of Malayalam
Closed, ResolvedPublic1 Story Points

Description

Please see the following example

In visual editor, pressing backspace after കാക് gives കാ
ie. The base character also disappeared with the vowel symbol.

See more examples with visual editor

ലാലി will become ലാ
രാമാ will become രാ

But in general editors, the case is different. There, only the vowel symbol is removed from the end. In those:-

കാക് will become കാക
ലാലി will become ലാല
രാമാ will become രാമ

I think the behavior of general editors is desirable and correct. Please rectify.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=54057

Details

Reference
bz51511

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:07 AM
bzimport set Reference to bz51511.
Vssun created this task.Jul 17 2013, 7:10 AM

To help debugging, could you please give which OS and input tool are you using? Some transliteration based input tools removes the base character also.

Vssun added a comment.Jul 17 2013, 7:20 AM

Experienced this problem on Ubuntu as well as Windows 7. I am using Inscript method of IBus in Ubuntu and native inscript tool in Windows.

Change 176192 had a related patch set uploaded (by Divec):
Use complex change logic if there are changes not at the selection

https://gerrit.wikimedia.org/r/176192

Patch-For-Review

Jdforrester-WMF renamed this task from VisualEditor: Bad backspacing behavior for vowel symbol characters of Malayalam to Bad backspacing behavior for vowel symbol characters of Malayalam.Nov 27 2014, 12:46 AM
Jdforrester-WMF assigned this task to dchan.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.
Jdforrester-WMF set Security to None.

Change 176192 merged by jenkins-bot:
Use complex change logic if there are changes not at the selection

https://gerrit.wikimedia.org/r/176192

Diffusion mentioned this in Unknown Object (Diffusion Commit).Nov 27 2014, 12:59 AM
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Nov 27 2014, 12:59 AM
Vssun added a comment.Aug 5 2015, 12:24 AM

Presently I am not experiencing this problem. The bug may be closed.